public class TestCaractereAlphabetiqueEnConsole {

///////////////////////////////////////////////////

/* Test si un caractere est alphabetique ou non  */

  static boolean estAlphabetique(char c) {
    boolean res;
    if ( ( ( c >= 'a' ) && ( c <= 'z' ) ) ||
         ( ( c >= 'A' ) && ( c <= 'Z' ) ) ) {
      res = true; }
      else {
      res = false; }
    return res;
  }

///////////////////////////////////////////////////

/* Programme principal                           */

  public static void main(String [] args) {
    Console.setTitle("TestCaractereAlphabetique");
    char caractere;
    boolean resultat;
    Console.afficher("SVP, un caractere : ");
    caractere = Console.saisirChar();
    resultat = estAlphabetique(caractere);
    Console.afficherln("Test : ",resultat);
  }
}